#ifndef LOG_MODULE_H
#define LOG_MODULE_H

#include "MyLog.h"

extern std::vector<std::shared_ptr<MyLog>> vtLog;
extern std::map<std::string,std::shared_ptr<MyLog>> mpLog;

namespace Log{
	int init_log_module();
	int write_log(FILE_TYPE fileType,const std::string& content);
	int write_log(FILE_TYPE fileType,const std::string& content,bool status);
	int write_log(FILE_TYPE fileType,const char* pValue);
	int write_log(FILE_TYPE fileType,const char* pValue,bool status);
	//int write_log(FILE_TYPE fileType,const char* pValue,...);
	int clear();

};

#endif